Skip to navigation

List Shipping Zones

Returns a list of all Shipping Zones.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
idintegerOptional
Zone ID
namestringOptional
Zone name. Required for PUT requests.
typeenumOptional
Allowed values:
locationslist of objectsOptional
Array of zone locations.
free_shippingobjectOptional
handling_feesobjectOptional
enabledbooleanOptional
Whether this shipping zone is enabled.